package com.ruoyi.ems.mapper;

import java.util.List;
import com.ruoyi.ems.domain.AdmEmsPvSupplyH;

/**
 * 光伏并网计量光伏并网计量-小时Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-02
 */
public interface AdmEmsPvSupplyHMapper
{
    /**
     * 查询光伏并网计量光伏并网计量-小时
     *
     * @param id 光伏并网计量光伏并网计量-小时主键
     * @return 光伏并网计量光伏并网计量-小时
     */
    public AdmEmsPvSupplyH selectAdmEmsPvSupplyHById(Long id);

    /**
     * 查询光伏并网计量光伏并网计量-小时列表
     *
     * @param admEmsPvSupplyH 光伏并网计量光伏并网计量-小时
     * @return 光伏并网计量光伏并网计量-小时集合
     */
    public List<AdmEmsPvSupplyH> selectAdmEmsPvSupplyHList(AdmEmsPvSupplyH admEmsPvSupplyH);

    public List<AdmEmsPvSupplyH> selectAreaSupplyH(AdmEmsPvSupplyH admEmsPvSupplyH);


    /**
     * 新增光伏并网计量光伏并网计量-小时
     *
     * @param admEmsPvSupplyH 光伏并网计量光伏并网计量-小时
     * @return 结果
     */
    public int insertAdmEmsPvSupplyH(AdmEmsPvSupplyH admEmsPvSupplyH);

    /**
     * 修改光伏并网计量光伏并网计量-小时
     *
     * @param admEmsPvSupplyH 光伏并网计量光伏并网计量-小时
     * @return 结果
     */
    public int updateAdmEmsPvSupplyH(AdmEmsPvSupplyH admEmsPvSupplyH);

    /**
     * 删除光伏并网计量光伏并网计量-小时
     *
     * @param id 光伏并网计量光伏并网计量-小时主键
     * @return 结果
     */
    public int deleteAdmEmsPvSupplyHById(Long id);

    /**
     * 批量删除光伏并网计量光伏并网计量-小时
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAdmEmsPvSupplyHByIds(Long[] ids);
}
